<?php

class default_controller {
  protected $_fw; // Objekt frameworku
  
  /*
   * Konstruktor
   * $fw (object) - objekt framefowku
   * navrat: nic      
   */   
  public function __construct(&$fw) {
    $this->_fw = $fw;
    $this->_fw->loadModel('users');
    
    $this->_fw->resources->createGroup('anonymous');
    $this->_fw->resources->createGroup('user', 'anonymous');
    $this->_fw->resources->createGroup('editor', 'user')->allowResource('admin_interface');
    $this->_fw->resources->createGroup('admin', 'editor');
    
    $this->assignMenu();
  }
  
  /*
   * Funkcia vytvori globalne menu a priradi do sablony
   * navrat: nic   
   */   
  private function assignMenu() {
    $menu = array(
      array(
        'Úvod',
        $this->_fw->makeLinkUrl(),
        'uvod',
      ),
      array(
        'Produkty',
        $this->_fw->makeLinkUrl('products'),
        'produkty',
      ),
      array(
        'Košík',
        $this->_fw->makeLinkUrl('cart'),
        'kosik',
      ),
      array(
        'Použivateľ',
        $this->_fw->makeLinkUrl('login'),
        'prihlasenie',
      ),
    );
    
    if ($this->_fw->resources->testAccess($this->_fw->users->getUserGroup(), 'admin_interface')) {
      $menu[] = array(
        'Administrácia',
        $this->_fw->makeLinkUrl('admin'),
        'admin',
      );
    }
    
    $this->_fw->templateAssign('topnav_menu', $menu);
  }
  
}

?>