<?php

require_once 'controllers/default/default.php'; // Zakladny contoller

class products_controller extends default_controller {

  /*
   * Konstruktor
   * $fw (object) - objekt frameworku
   * navrat: nic      
   */   
  public function __construct(&$fw) {
    parent::__construct($fw);
    
    $this->_fw->loadModel('products');
    
    $this->_fw->templateAssign('page_title', 'Produkty');
    $this->_fw->templateAssign('active_menu_item', 'produkty');
  }
  
  /*
   * Akcia "index"
   * navrat: nic   
   */   
  public function index_action() {
    $this->_fw->loadModel('pagination');
    
    $pid = $this->_fw->pagination->createNewPagination('uwa_produkty', 10);
    
    $products = $this->_fw->products->getAllProducts($pid);
    
    $this->_fw->pagination->setTemplateMarkers($pid, $this->_fw->makeLinkUrl('products', 'index'));
    
    $this->_fw->templateAssign('products', $products);
    $this->_fw->templateAssign('add_to_cart_action', $this->_fw->makeLinkUrl('cart', 'add_to_cart'));
    $this->_fw->templateAssign('link_to_products', $this->_fw->makeLinkUrl('products', 'detail', array('product' => '_product_id_')));
    
    $this->_fw->templateDisplay('products/index.html');
  }
  
  /*
   * Akcia "detail"
   * navrat: nic   
   */   
  public function detail_action() {
    $data = $this->_fw->getUrlParams();
    
    if (isset($data['product']) && is_numeric($data['product'])) {
      $this->_fw->templateAssign('product', $this->_fw->products->getSingleProduct($data['product']));
      $this->_fw->templateAssign('add_to_cart_action', $this->_fw->makeLinkUrl('cart', 'add_to_cart'));
    } else {
      $this->_fw->templateAssign('product', false);
    }
    
    $this->_fw->templateDisplay('products/detail.html');
  }
}

?>