<?php

class uwa_objednavky_collection extends collection_abstract {
  
  /*
   * Nastavi filter pouzivatela
   * navrat: referencia na tento objekt   
   */   
  public function filterUzivatel($id) {
    $this->_where .= strlen($this->_where) > 0 ? ' AND ' : '';
    $this->_where .= 'pouzivatel = ' . intval($id);
    
    return $this;
  }
  
  /*
   * Nastavi filter na stav objednavok, ktore sa hladaju v db
   * $filter (integer) - cislo stavu od 0 do 2
   * navrat: referencia na tento objekt      
   */   
  public function filterStav($filter) {
    if (is_numeric($filter) && $filter >= 0 && $filter  <= 2) {
      $this->_where .= strlen($this->_where) > 0 ? ' AND ' : '';
      $this->_where .= 'stav = ' . intval($filter);
    }
  
    return $this;
  }
  
  /*
   * Nastavi filter stavu na 0
   * navrat: referencia na tento objekt   
   */   
  public function filterByStatus0() {
    return $this->filterStav(0);
  }
  
  /*
   * Nastavi filter stavu na 1
   * navrat: referencia na tento objekt   
   */
  public function filterByStatus1() {
    return $this->filterStav(1);
  }
  
  /*
   * Nastavi filter stavu na 2
   * navrat: referencia na tento objekt   
   */
  public function filterByStatus2() {
    return $this->filterStav(2);  
  }
  
  /*
   * Hookne vypisovanie objednavok aby sa v nich zobrazil aj pouzivatel (podpole s jeho datami)
   * $line (array) - riadok v tabulke
   * $row (object) - uwa_objednavky_db objekt pre jeden riadok v tabulke
   * navrat: rozsirene pole $line o dalsiu hodnotu            
   */   
  protected function getRowsArrayHook($line, $row) {
    $line['user'] = $row->getUserData();
    return $line;
  }
  
}

?>