<?php

class uwa_objednavky_db extends db_abstract {
  
  private $_user = null; // Cache pouzivatela ktoremu patri tato objednavka
  
  /*
   * Uprava load funkcie
   */   
  public function load($id) {
    $output = parent::load($id);
    
    if ($this->lastSuccess()) {
      unset($this->_user);
      $this->_user = null;
    }
    
    return $output;
  }
  
  /*
   * Ziskanie dat uzivatela
   * navrat: objekt uwa_pouzivatelia   
   */   
  public function getUser() {
    if (!$this->testUserAndFetch()) { return $this->_fw->instanceOfDbTable('uwa_pouzivatelia'); }
    
    return $this->_user;
  }
  
  /*
   * Ziskanie dat uzivatela
   * navrat: pole udajov   
   */   
  public function getUserData() {
    if (!$this->testUserAndFetch()) { return array(); }
    
    return $this->_user->data();
  }
  
  /*
   * Otestuje ci existuje cache, pripadne ju vytvori
   * navrat: boolean, true ak je v cache validna hodnota   
   */   
  private function testUserAndFetch() {
    if (intval($this->getId()) == 0) { return false; } 
    
    if (is_object($this->_user)) { return true; }
    
    if ($this->_user === null) { $this->_user = $this->_fw->instanceOfDbTable('uwa_pouzivatelia')->load($this->getPouzivatel()); }
    
    return true;
  }
  
}

?>