<?php

class uwa_pouzivatelia_db extends db_abstract {
  private $_objednavky = null; // Cache objednavok
  
  public function load($id) {
    $this->_objednavky = null;
    return parent::load($id);
  }
  
  public function allOrders() {
    if (!$this->testOrdersAndFetch()) { return array(); }
    
    return $this->_objednavky->getRows();
  }
  
  public function allOrdersArray($replaceId = null) {
    if (!$this->testOrdersAndFetch()) { return array(); }
    
    return $this->_objednavky->getRowsArray($replaceId);
  }
  
  private function testOrdersAndFetch() {
    if (intval($this->getId()) == 0) { return false; } 
    
    if (is_object($this->_objednavky)) { return true; }
    
    $this->_objednavky = $this->_fw->instanceOfTableCollection('uwa_objednavky')->filterUzivatel($this->getId())->execute();
    
    return true; 
  }
}

?>