<?php

class sessions {
  private $_fw; // Objekt frameworku
  
  private static $_extendMessage = array(); // Bleskove spravy, ktore sa maju zachovat do dalsieho reloadu stranky
  
  /*
   * Konstruktor
   * $fw (object) - objekt frameworku  
   * navrat: nic    
   */   
  public function __construct(&$fw) {
    $this->_fw = $fw;
    
    $this->_extendMessage = array();
    
    session_start();
  }
  
  /* 
   * Ulozi uzivatelske data do danej skupiny dat
   * $groupName (string) - skupina dat
   * $data (mixed) - data, ktore sa maju do skupiny ulozit
   * navrat: nic         
   */   
  public function storeUserDataGroup($groupName, $data) {
    $_SESSION['groups'][$groupName] = $data;
  }
  
  /*
   * Vrati data ulozene v danej skupine, pripadne obsah specifickej premennej
   * $groupName (string) - nazov skupiny
   * $variable (string) - volitelne, nazov premennej, ktorej obsah je treba vratit
   * navrat: data ulozene v skupine alebo [skupine][premennej]         
   */   
  public function restoreUserDataGroup($groupName, $variable=null) {
    if (isset($_SESSION['groups'][$groupName])) {
      if (is_string($variable) && isset($_SESSION['groups'][$groupName][$variable])) {
        return $_SESSION['groups'][$groupName][$variable];
      } elseif (!is_string($variable)) {
        return $_SESSION['groups'][$groupName];
      } else {
        return '';
      }
    } else {
      return '';
    }
  }
  
  /*
   * Vymaze vsetky bleskove spravy, pokial nie su oznacene ako predlzene
   * navrat: nic   
   */   
  public function clearFlashMessages() {
    if (!isset($_SESSION['messages'])) { return; }
    
    if (count($_SESSION['messages'])) {
      foreach($_SESSION['messages'] as $message_tag => $message) {
        if (!in_array($message_tag, $this->_extendMessage)) {
          unset($_SESSION['messages'][$message_tag]);
        }
      }
    }
  }
  
  /*
   * Nastavy spravu a jej obsah
   * $message_tag (string) - znacka/nazov pre bleskovu spravu
   * $message (string) - text spravy
   * navrat: nic         
   */   
  public function setFlashMessage($message_tag, $message, $message_class = 'normal') {
    $_SESSION['messages'][$message_tag] = array('message' => $message, 'class' => $message_class);
  }
  
  /*
   * Vrati spravu s danym oznacenim
   * $message_tag (string) znacka/nazov spravy
   * navrat: text spravy     
   */   
  public function getFlashMessage($message_tag) {
    if (isset($_SESSION['messages'][$message_tag])) {
      return $_SESSION['messages'][$message_tag];
    }
    
    return '';
  }
  
  /*
   * Predlzi zvolenu spravu do dalsieho reloadu stranky
   * $message_tag (string) - znacka/nazov spravy, ktora sa ma predlzit
   * navrat: nic      
   */   
  public function extendFlashMessage($message_tag) {
    $this->_extendMessage[] = $message_tag;
  }
}

?>