<?php
// Author: Andrej Jursa

/* function=html_img
  parameters:
    url = the url of source image (src parameter)
    alt = the alternate text for missing image
    title = the title text for img element
    width = integer value, or auto (default), define the width of img element
    height = integer value, or auto (default), define the height of img element
*/
function swift_function_html_img(&$swift, $params=array()) {
  $url = (isset($params['url']) ? $params['url'] : '');
  $name_array = explode('/', $url);
  $name = isset($name_array[count($name_array) - 1]) ? $name_array[count($name_array) - 1] : '';
  unset($name_array);
  $alt = (isset($params['alt']) ? $params['alt'] : $name);
  $filename_array = explode('.', $name);
  $filename = isset($filename_array[0]) ? $filename_array[0] : '';
  unset($filename_array);
  if (strlen($filename) > 0) {
    $filename = str_replace('-', ' ', $filename);
    $filename = str_replace('_', ' ', $filename);
    $filename[0] = strtoupper($filename[0]);
  }
  $title = (isset($params['title']) ? $params['title'] : $filename);
  $width = (isset($params['width']) ? $params['width'] : 'auto');
  $height = (isset($params['height']) ? $params['height'] : 'auto');
  
  $output = '<img src="'.$url.'" alt="'.$alt.'"';
  if (strlen(trim($title)) > 0) { $output .= ' title="'.$title.'"'; }
  if ($width == 'auto' || $height == 'auto') {
    $size = getimagesize($url);
    $width = $width == 'auto' ? $size[0] : $width;
    $height = $height == 'auto' ? $size[1] : $height;
  }
  if (strlen(trim($width)) > 0) { $output .= ' width="'.$width.'"'; }
  if (strlen(trim($height)) > 0) { $output .= ' height="'.$height.'"'; }
  
  $output .= '/>';
  
  return $output;
}

?>
