<?php
// Author: Andrej Jursa

/* function=html_option
  parameters:
    values = array with datas for option elements
    selected = array of string value, define which options are selected or not
    value_key = the key to array <values> which contain data for value parameter of option element
    caption_key = the key to array <values> which contain datas for texts for each option element
    multiple = boolean, if set to true, option elements are generated as multi-selectable
*/
function swift_function_html_option(&$swift, $params = array()) {
  $values = (isset($params['values']) ? $params['values'] : array());
  $selected = (isset($params['selected']) ? $params['selected'] : NULL);
  $value_key = (isset($params['value_key']) ? $params['value_key'] : 'value');
  $caption_key = (isset($params['caption_key']) ? $params['caption_key'] : 'caption');
  $multiple = (isset($params['multiple']) ? intval($params['multiple']) : false);
  
  $output = '';
  foreach ($values as $row) {
    $output .= '<option value="' . $row[$value_key] . '"' . (($multiple == true ? is_array($selected) && in_array($row[$value_key], $selected) : $selected == $row[$value_key]) ? ' selected="selected"' : '') . '>' . $row[$caption_key] . '</option>';
  }
  
  return $output;
}

?>