<?php
// Author: Andrej Jursa

/* function=html_table
  parameters:
    cols = number of cols for created table
    rows = number of rows for created table
    empty_cell = text of content for empty cells
    data = array of data for created table
    header = boolean, if set to true, first row is table header
    overflow = boolean, if set to true, rows can overflow ower <rows> parameter value
    css_prefix = prefix for elements class parameter
*/
function swift_function_html_table(&$swift, $params = array()) {
  $cols = (isset($params['cols']) ? intval($params['cols']) : 1);
  $rows = (isset($params['rows']) ? intval($params['rows']) : 1);
  $empty_cell = (isset($params['empty_cell']) ? $params['empty_cell'] : '');
  $data = (isset($params['data']) ? $params['data'] : array());
  $header = (isset($params['header']) ? intval($params['header']) : false);
  $overflow = (isset($params['overflow']) ? intval($params['overflow']) : false);
  $css_prefix = (isset($params['css_prefix']) ? $params['css_prefix'] : 'swift');
  
  if (empty($css_prefix)) { $css_prefix == 'swift'; }
  
  $output = '';
  
  $output .= '<table class="'.$css_prefix.'_table">';
  
  for($r=0;$r<$rows;$r++) {
    $output .= '<tr class="'.$css_prefix.'_tr_'.($r+1).'">';
    if ($r == 0 && $header == true) { $col = 'th'; } else { $col = 'td'; }
    for($c=0;$c<$cols;$c++) {
      $output .= '<'.$col.' class="'.$css_prefix.'_'.$col.'_'.($c+1).'">';
      $output .= isset($data[$r][$c]) ? $data[$r][$c] : $empty_cell;
      $output .= '</'.$col.'>';
    }
    $output .= '</tr>';
  }
  
  if ($overflow) {
    for($r=$r;$r<count($data);$r++) {
      $output .= '<tr class="'.$css_prefix.'_tr_'.($r+1).'">';
      if ($r == 0 && $header == true) { $col = 'th'; } else { $col = 'td'; }
      for($c=0;$c<$cols;$c++) {
        $output .= '<'.$col.' class="'.$css_prefix.'_'.$col.'_'.($c+1).'">';
        $output .= isset($data[$r][$c]) ? $data[$r][$c] : $empty_cell;
        $output .= '</'.$col.'>';
      }
      $output .= '</tr>';
    }
  }
  
  $output .= '</table>';
  
  return $output;
}

?>